---
title: HTMLObjectElement.type
slug: Web/API/HTMLObjectElement/type
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - Type
---
<div>{{APIRef("HTML DOM")}}</div>

<p class="summary">The <strong><code>type</code></strong> property of the {{domxref("HTMLObjectElement")}} interface returns a {{domxref("DOMString")}} that reflects the {{htmlattrxref("type", "object")}} HTML attribute, specifying the MIME type of the resource.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var String = HTMLObjectElement.type
HTMLObjectElement.type = String;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('DOMString')}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-object-type','type')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLObjectElement.type")}}</p>
